Name:          apache-commons-pool2
Version:       2.4.2
Release:       2%{?dist}
Summary:       Apache Commons Object Pooling Library 2.x series
License:       ASL 2.0
URL:           http://commons.apache.org/proper/commons-pool/
Source0:       http://www.apache.org/dist/commons/pool/source/commons-pool2-%{version}-src.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(cglib:cglib)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.apache.commons:commons-parent:pom:)
BuildRequires: mvn(org.ow2.asm:asm-util)

BuildArch:     noarch

%description
The Apache Commons Pool open source software library provides an
object pooling API and a number of object pool implementations.
Version 2 of Apache Commons Pool contains a completely re-written
pooling implementation compared to the 1.x series. In addition
to performance and scalability improvements, version 2 includes
robust instance tracking and pool monitoring.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n commons-pool2-%{version}-src

%pom_remove_plugin :maven-assembly-plugin
%pom_remove_plugin org.apache.maven.plugins:maven-scm-publish-plugin

%mvn_file : %{name} commons-pool2

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README.txt RELEASE-NOTES.txt
%license LICENSE.txt NOTICE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt NOTICE.txt

%changelog
* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Oct 26 2015 gil cattaneo <puntogil@libero.it> 2.4.2-1
- update to 2.4.2

* Thu Jun 04 2015 gil cattaneo <puntogil@libero.it> 2.4.1-1
- update to 2.4.1

* Thu Jun 12 2014 gil cattaneo <puntogil@libero.it> 2.2-1
- initial rpm
